Unit tmnb2r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FMNB2R_p, MNB2R_p;

function tmnb2r: String;

implementation

function tmnb2r: String;
var
IERR :Integer;
C,FC :Real;
X :Array [0..0] of Real;
S :Array [0..0] of Real;
XX :Array [0..0] of Real;
const
N :Integer = 1;
A :Real = -2.0;
B :Real = 1.0;
EPS :Real = 1.0E-05;
MAXK :Integer = 20;
begin
Result := '';  {   }
{   DATA  FORTRAN  }
X[0] := 0.0;
S[0] := 1.0;
MNB2R(N,X,S,XX,A,B,EPS,C,FC,MAXK,FMNB2R,IERR);
Result := Result + Format('%s',[' C=']);
Result := Result + Format('%20.16f ',[C]);
Result := Result + Format('%s',['  FC=']);
Result := Result + Format('%20.16f ',[FC]);
Result := Result + Format('%s',['  IERR=']);
Result := Result + Format('%2d ',[IERR]) + #$0D#$0A;
UtRes('tmnb2r',Result);  {     tmnb2r.res }
exit;
end;

end.
